package com.platform.cac.tcp.message.dataframe.receive;



import com.platform.cac.tcp.message.dataframe.RemoteTcpBaseDataFrame;
import com.platform.util.ByteUtils;
import lombok.Getter;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

import java.nio.ByteBuffer;



@Slf4j
@Getter
@ToString
public class CacUavCommandMessage extends RemoteTcpBaseDataFrame {

    private byte uavCommandCodeIdLength;
    private byte[] uavCommandCodeId;
    private byte commandUniIddLength;
    private  String commandUniId;

    public CacUavCommandMessage(RemoteTcpBaseDataFrame data){
        super(data);
        ByteBuffer buffer = ByteBuffer.allocate(data.getReadableDataBytesLength()).put(data.getReadableDataBytes());
        buffer.flip();

        try {
            uavCommandCodeIdLength = buffer.get();
            uavCommandCodeId = new byte[uavCommandCodeIdLength];
            buffer.get(uavCommandCodeId);
            commandUniIddLength=buffer.get();
            commandUniId = ByteUtils.getString(buffer, commandUniIddLength);
        } catch (Exception e) {
            log.error("中心指控-指令数据解析异常");
            e.printStackTrace();
        }
    }
}
