package com.platform.cac.tcp.message.dataframe.receive;



import com.platform.cac.tcp.message.dataframe.RemoteTcpBaseDataFrame;
import com.platform.util.ByteUtils;
import lombok.Getter;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

import java.nio.ByteBuffer;


@Slf4j
@Getter
@ToString
public class CacUavParamQueryMessage extends RemoteTcpBaseDataFrame {
    private byte uavParamQueryTypeLength;
    private byte[] uavParamQueryType;
    private byte commandCode;
    private byte[] commandContent = new byte[15]; // 15~29
    private byte[] crc16 = new byte[2];
    private byte commandUniIdLength;
    private String commandUniId;

    public CacUavParamQueryMessage(RemoteTcpBaseDataFrame data){
        super(data);
        ByteBuffer buffer = ByteBuffer.allocate(data.getReadableDataBytesLength()).put(data.getReadableDataBytes());
        buffer.flip();
        try {
            uavParamQueryTypeLength = buffer.get();
            uavParamQueryType = new byte[uavParamQueryTypeLength];
            buffer.get(uavParamQueryType);
            commandCode = buffer.get();
            buffer.get(commandContent);
            buffer.get(crc16);
            commandUniIdLength=buffer.get();
            commandUniId = ByteUtils.getString(buffer, commandUniIdLength);
        } catch (Exception e) {
            log.error("中心指控-飞控参数查询指令解析异常");
            e.printStackTrace();
        }
    }
}
