package com.platform.cac.tcp.message.dataframe.receive;



import com.platform.cac.tcp.message.dataframe.RemoteTcpBaseDataFrame;
import com.platform.util.ByteUtils;
import lombok.Getter;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

import java.nio.ByteBuffer;


@Slf4j
@Getter
@ToString
public class CacUavRouteBindMessage extends RemoteTcpBaseDataFrame {
    private byte uavParamBindTypeLength;
    private byte[] uavParamBindType;
    private byte commandCode;
    private byte routePointNum;
    private byte[] routePointInfo;
    private byte[] crc16 = new byte[2];
    private byte commandUniIdLength;
    private String commandUniId;

    public CacUavRouteBindMessage(RemoteTcpBaseDataFrame data){
        super(data);
        ByteBuffer buffer = ByteBuffer.allocate(data.getReadableDataBytesLength()).put(data.getReadableDataBytes());
        buffer.flip();
        try {
            uavParamBindTypeLength = buffer.get();
            uavParamBindType = new byte[uavParamBindTypeLength];
            buffer.get(uavParamBindType);
            commandCode = buffer.get();
            routePointNum = buffer.get();
            routePointInfo = new byte[routePointNum * 16]; // 14~29
            buffer.get(routePointInfo);
            buffer.get(crc16);
            commandUniIdLength=buffer.get();
            commandUniId = ByteUtils.getString(buffer, commandUniIdLength);
        } catch (Exception e) {
            log.error("中心指控-航线装订数据解析异常");
            e.printStackTrace();
        }
    }
}
