package com.platform.cac.tcp.message.dataframe.receive;


import com.platform.cac.tcp.message.dataframe.RemoteTcpBaseDataFrame;
import com.platform.util.ByteUtils;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.nio.ByteBuffer;


@Getter
@Slf4j
public class TcpRemoteAuthorization extends RemoteTcpBaseDataFrame {

    private byte success;
    private int code;
    private byte messageLength;
    private String message;

    public TcpRemoteAuthorization(RemoteTcpBaseDataFrame data) {
        super(data);
        ByteBuffer buffer = ByteBuffer.allocate(data.getReadableDataBytesLength()).put(data.getReadableDataBytes());
        buffer.flip();

        try {
            success = buffer.get();
            code = buffer.getInt();

            messageLength = buffer.get();
            message =  ByteUtils.getString(buffer, messageLength);
        } catch (Exception e) {
            log.error("中心指控-地面站认证数据解析异常");
            e.printStackTrace();
        }
    }
}
