package com.platform.cac.tcp.message.handler;


import com.platform.cac.RemoteService;
import com.platform.cac.tcp.message.dataframe.RemoteTcpBaseDataFrame;
import com.platform.cac.tcp.message.dataframe.receive.TcpRemoteAuthorization;
import com.platform.info.GlobalData;
import com.platform.info.enums.RemoteFrameEnum;
import io.netty.channel.Channel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


/**
 * @Author : shiyi
 * @Date : 2024/1/3 14:11
 * @Description : 地面站接入校验的回复
 */
@Component @Slf4j
public class GcsAuthResponseHandler implements IRemoteMessageHandler {

    @Resource
    RemoteService remoteService;
    @Override
    public void execute(Channel channel, RemoteTcpBaseDataFrame remoteTcpBaseDataFrame) {
        TcpRemoteAuthorization authResponse = new TcpRemoteAuthorization(remoteTcpBaseDataFrame);

        GlobalData.GCS_SIGNIN = (0x01==authResponse.getSuccess());
        if (GlobalData.GCS_SIGNIN){
            remoteService.queryCacDirectControlMapping(); // 同步操作
            // List<Integer> controlFkUavList = remoteService.queryGcsControlUav();
            // log.info("当前在控无人机: {}", remoteService.queryGcsControlUav());
        }
        log.info("[tcp auth]认证上线{}, code={}, message: {}", GlobalData.GCS_SIGNIN ? "成功":"失败",authResponse.getCode(), authResponse.getMessage());
    }

    @Override
    public RemoteFrameEnum getFrameType() {
        return RemoteFrameEnum.GCS_AUTH_CAC_RESPONSE;
    }
}
