package com.platform.info;

import com.platform.info.enums.UavTypeEnum;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @Author : shiyi
 * @Date : 2024/1/2 13:57
 * @Description : 全局变量信息
 */
@Configuration @Slf4j
public class GlobalData {
    @Autowired
    public void init(@Value("${cac_gcs.id}") String id, @Value("${cac_gcs.token}") String token) {
        GlobalData.GCS_ID = id;
        GlobalData.GCS_TOKEN = token;
        log.info("中心指控系统-地面站ID: {}", GlobalData.GCS_ID);
    }


    public static String GCS_ID;
    // 地面站上线请求发送之前使用token
    public static String GCS_TOKEN;

    public static final short REMOTE_HEAD = (short) 0x8899;
    public static final byte REMOTE_VERSION1 = 0x01; // 遥测数据中的版本号, 发给运管，对应type=0x0F
    public static final byte REMOTE_VERSION2 = 0x02; // 遥测数据中的版本号，发给中心指控， 对应type=0x04
    public static final byte REMOTE_SER_ALG = 0x00;// 序列化算法

    public static boolean GCS_SIGNIN = false;
    public static String AUTHORIZATION = "";


}
