package com.platform.info.enums;

import lombok.Getter;

/**
 * @Author : shiyi
 * @Date : 2024/1/3 9:28
 * @Description : 帧头枚举
 */
@Getter
public enum ClientTypeEnum {
    /**
     * 客户端类型枚举
     */
    UNKNOWN(-1, (short) 0, (short) 0,"未知类型"),
    // BOX(0, (short) 0x7479, (short) 0x6A77,"云盒"),
    // GCS(1, (short) 0xCC06, (short) 0xCC06,"地面站（云盒通信）"),
    // FK(2, (short) 0x55AA, (short) 0x55AA,"飞控"),
    // GCS_WT(3, (short) 0xAA55, (short) 0xAA55,"地面站（卫通通信）"),
    HABOR(4, null, null,"哈勃终端"),
    ;
    private final Integer code;
    private final Short readHead;
    private final Short writeHead;
    private final String info;

    ClientTypeEnum(int code, Short readHead, Short writeHead, String info) {
        this.code = code;
        this.readHead = readHead;
        this.writeHead = writeHead;
        this.info = info;
    }

    public static ClientTypeEnum getByCode(int code) {
        for (ClientTypeEnum clientTypeEnum : ClientTypeEnum.values()) {
            if (clientTypeEnum.getCode() == code) {
                return clientTypeEnum;
            }
        }
        return null;
    }

}
