package com.platform.info.enums;

/**
 * @Author : shiyi
 * @Date : 2024/2/17 16:36
 * @Description : 地面站类型枚举
 */
public enum GcsTypeEnum {
    // 地面站类型枚举
    REMOTE_GCS(0, "远程地面站"),
    BOX_GCS(1, "箱式地面站"),
    HANDHELD_GCS(2, "手持地面站"),
    CARBIN_GCS(3, "方舱地面站"),
    AIRPORT_GCS(4,"机场型地面站"),
    ;

    private final int code;
    private final String info;

    GcsTypeEnum(int code, String info) {
        this.code = code;
        this.info = info;
    }

    public int getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

    public static GcsTypeEnum getTypeByCode(Integer code) {
        for (GcsTypeEnum enums : GcsTypeEnum.values()) {
            if (enums.getCode() == code) {
                return enums;
            }
        }
        return null;
    }
}
