package com.platform.info.mapping;



import javax.validation.constraints.NotNull;
import java.util.concurrent.ConcurrentHashMap;


/**
 * 中心指控系统 哈勃Sn和uavId之间的映射
 */

public class HaborUavMap {
    // 所有型号，uavId到fkId的映射
    private static final ConcurrentHashMap<String, String> habor2uavId = new ConcurrentHashMap<>();
    private static final ConcurrentHashMap<String, String> uavId2habor = new ConcurrentHashMap<>();
    // /** 添加当前型号的映射关系*/
    // public static void addMap(Integer fkId, String uavId){
    //     addMap(UAV_TYPE, fkId, uavId);
    // }

    /**根据飞机型号增加映射关系*/
    public static void addMap(String uavId, String harboSn){
        habor2uavId.put(harboSn, uavId);
        uavId2habor.put(uavId, harboSn);
    }

    /** 获取指定型号的映射关系*/
    public static String showMap(){
        return "haboroSn→uavId: " + habor2uavId;
    }

    public static String getHaborSnByUavId(@NotNull String uavId) throws NullPointerException{
        return uavId2habor.get(uavId);
    }
    public static String getUavIdByHaborSn(@NotNull String haborSn) throws NullPointerException{
        return habor2uavId.get(haborSn);
    }



    /** 当前地面站是否可控哈勃 */
    public static boolean haborIsControllable(@NotNull String haborSn){
        return habor2uavId.containsKey(haborSn) && uavId2habor.containsValue(haborSn);
    }

    /** 当前地面站是否可控uavId*/
    public static boolean uavIsControllable(@NotNull String uavId){
        return uavId2habor.containsKey(uavId) && habor2uavId.containsValue(uavId);
    }
    public static void clear() {
        habor2uavId.clear();
        uavId2habor.clear();
    }
}
