package com.platform.service.handler;

import com.platform.info.enums.ClientTypeEnum;
import com.platform.service.clientmanage.BaseClient;
import com.platform.service.clientmanage.ClientManager;
import com.platform.service.clientmanage.HaborClient;
import io.netty.buffer.ByteBuf;
import io.netty.buffer.ByteBufUtil;
import io.netty.buffer.Unpooled;
import io.netty.channel.ChannelHandler;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.SimpleChannelInboundHandler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Author : shiyi
 * @Date : 2025/1/15 16:19
 * @Description : 向中心指控转发遥控遥测
 */
@ChannelHandler.Sharable @Component @Slf4j
public class CacDataRouterHandler extends SimpleChannelInboundHandler<ByteBuf> {
    @Override
    protected void channelRead0(ChannelHandlerContext ctx, ByteBuf msg) throws Exception {
        BaseClient client = ClientManager.getClient(ctx.channel());
        if (client == null || client.getClientType() != ClientTypeEnum.HABOR) {
            return;
        }
        // log.debug("[cac] {} 收到数据({}bytes): {}", ((HaborClient) client).shortInfo(), msg.readableBytes(), ByteBufUtil.hexDump(msg));
        HaborClient haborClient = (HaborClient) client;
        haborClient.process(msg);
    }
}
