package com.platform.util;

import java.util.concurrent.atomic.AtomicInteger;

public class AtomicUShort {
    private final AtomicInteger value;

    // 构造方法初始化为 0
    public AtomicUShort() {
        value = new AtomicInteger(0);
    }

    // 获取当前值
    public short get() {
        return (short) value.get();  // 获取并转换为short类型返回
    }


    // 获取当前的值并进行自增，达到255后归零
    public short getAndIncrement() {
        while (true) {
            int current = value.get();  // 获取当前值
            int next = (current == 65535) ? 0 : current + 1;  // 自增至255后归零
            // 如果当前值等于 current，则更新为 next，并返回旧值
            if (value.compareAndSet(current, next)) {
                return (short) current;  // 返回自增前的值
            }
        }
    }

    public short incrementAndGet() {
        while (true) {
            int current = value.get();
            int next = (current == 65535) ? 0 : current + 1;
            if (value.compareAndSet(current, next)) {
                return (short) next;
            }
        }
    }

}