package com.platform.util;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class ControlDevice {

    private static final HashMap<Byte, String> deviceSnToFkID = new HashMap<Byte, String>(){{
        put((byte) 0x11,"D80A72");
        put((byte) 0x13,"D80B00");
        put((byte) 0x23,"D80AD8");
        put((byte) 0x24,"D80A83");
        put((byte) 0x25,"D80A87");
        put((byte) 0x30,"D80A88");
        put((byte) 0x31,"D80B0A");
        put((byte) 0x32,"D80AB6");

        put((byte) 0x01,"F492C1");
        put((byte) 0x02,"F492C2");
        put((byte) 0x03,"F492C3");
        put((byte) 0xff,"all");

    }};

    public static String getSn(Byte fkID){return deviceSnToFkID.get(fkID);}

    public static boolean isTure(Byte fkID){return  deviceSnToFkID.containsKey(fkID);}


    public static int getFk(String uavId){
        int fk = 0;
        for(Byte key: deviceSnToFkID.keySet()){
            if(deviceSnToFkID.get(key).equals(uavId)){
                fk = key;
            }
        }
        return fk;
    }


    public static Map<String, String> currenCtrDevice = new ConcurrentHashMap<>(16);     // 设备编号对应的mac地址


    public static void clearCurrenCtrDeviceByMac(String mac){

        for(String key: currenCtrDevice.keySet()){
            if(currenCtrDevice.get(key).equals(mac)){
                currenCtrDevice.remove(key);
            }
        }
    }

    public static List<String> getCurrenCtrDevicesByMac(String mac){

        List<String> ctrDevices = new ArrayList<>();
        for(String key: currenCtrDevice.keySet()){
            if(currenCtrDevice.get(key).equals(mac)){
                ctrDevices.add(key);
            }
        }
        return ctrDevices;

    }


}
